{
  "schema_version": "1.4.0",
  "id": "GHSA-7hjr-xp4g-fx7m",
  "modified": "2025-04-20T03:36:09Z",
  "published": "2022-05-13T01:26:15Z",
  "aliases": [
    "CVE-2017-7875"
  ],
  "details": "In wallpaper.c in feh before v2.18.3, if a malicious client pretends to be the E17 window manager, it is possible to trigger an out-of-boundary heap write while receiving an IPC message. An integer overflow leads to a buffer overflow and/or a double free.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-7875"
    },
    {
      "type": "WEB",
      "url": "https://github.com/derf/feh/commit/f7a547b7ef8fc8ebdeaa4c28515c9d72e592fb6d"
    },
    {
      "type": "WEB",
      "url": "https://feh.finalrewind.org"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2020/05/msg00021.html"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201707-08"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/97689"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-787"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-04-14T18:59:00Z"
  }
}